
TYPO3 Flow Base Distribution - Bug # 55369

Status: Resolved Priority: Must have
Author: Stephen Bungert Category:
Created: 2014-01-27 Assigned To: Sebastian Heuer
Updated: 2014-02-25 Due date:
Affected Flow version: Flow 2.0.0
Subject: Cookies not created if cookie lifetime is set
Description

I have a flow based website and have increased the session timeout to 1 day. Cookies were still session only so I changed the cookie
duration to one day too (I want users to be logged in even after closing the tab/browser). Whenever I do this, no cookie is created, and
uses can't login.

I tried changing the value directly in typo3/flow/configuration settings, in flow/congiguration and my packages configuration. Everytime
the cookie is not made. If I remove the lifetime, the cookie is created. I also tried copying the whole cookie "array" to the settings in
case you have to oevrwrite all cookie values in settings. This also didn't work.

I think this is a bug. No error is shown, nothing in the server error log or the flow's system development log.

In the security log I see:

14-01-27 19:43:15 3329       127.0.0.1      NOTICE    TYPO3.Flow           Successfully authenticated token: Username: "admin"

14-01-27 19:43:16 3329       127.0.0.1      INFO      Flow                 No account authenticated

Associated revisions
Revision 7f16897c - 2014-02-08 16:53 - Sebastian Heuer

[BUGFIX] Set Max-Age for Cookies

If the configured session cookie lifetime is > 0, the Max-Age property of the
cookie is set accordingly in the response header.

Before this change the lifetime would be used as the expiry time, leading to
cookies having session lifetime only.

Change-Id: If293495ea325174f89d1269c1fefd2737f097924
Fixes: #55369
Releases: master, 2.0, 2.1

Revision de82f244 - 2014-02-24 11:04 - Sebastian Heuer

[BUGFIX] Set Max-Age for Cookies

If the configured session cookie lifetime is > 0, the Max-Age property of the
cookie is set accordingly in the response header.

Before this change the lifetime would be used as the expiry time, leading to
cookies having session lifetime only.

Change-Id: If293495ea325174f89d1269c1fefd2737f097924
Fixes: #55369
Releases: master, 2.0, 2.1

Revision cb283972 - 2014-02-24 11:05 - Sebastian Heuer

[BUGFIX] Set Max-Age for Cookies

If the configured session cookie lifetime is > 0, the Max-Age property of the
cookie is set accordingly in the response header.

Before this change the lifetime would be used as the expiry time, leading to
cookies having session lifetime only.

Change-Id: If293495ea325174f89d1269c1fefd2737f097924
Fixes: #55369
Releases: master, 2.0, 2.1

History
#1 - 2014-02-08 12:48 - Sebastian Heuer
- Status changed from New to Accepted
- Assigned To set to Sebastian Heuer

#2 - 2014-02-08 12:56 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/27447

#3 - 2014-02-08 16:31 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/27447

#4 - 2014-02-08 16:53 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/27447

#5 - 2014-02-24 11:04 - Gerrit Code Review

Patch set 1 for branch 2.1 of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/27808
#6 - 2014-02-24 11:05 - Gerrit Code Review

Patch set 1 for branch 2.0 of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/27809

#7 - 2014-02-25 15:36 - Sebastian Heuer
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:cb283972ff79142d865a9e9cfa891038aff68254.
